## org.codehaus.groovy.grails.plugins.web.taglib
Class FormTagLib

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.taglib.FormTagLib

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class FormTagLib

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`FormTagLib()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`Object` `fieldImpl(Object out, Object attrs)`
`Object` `getActionSubmit()`
`Object` `getActionSubmitImage()`
`Object` `getCheckBox()`
`Object` `getCurrencySelect()`
`Object` `getDatePicker()`
`Object` `getField()`
`Object` `getForm()`
`Object` `getGrailsApplication()`
`Object` `getHiddenField()`
`Object` `getLocaleSelect()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getOut()`
`Object` `getPasswordField()`
`Object` `getProperty(String property)`
`Object` `getRadio()`
`Object` `getRadioGroup()`
`Object` `getRenderNoSelectionOption()`
`Object` `getSelect()`
`Object` `getSubmitButton()`
`Object` `getTextArea()`
`Object` `getTextField()`
`Object` `getTimeZoneSelect()`
`Object` `getTypeConverter()`
`Object` `getUploadForm()`
`Object` `hiddenFieldImpl(Object out, Object attrs)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `outputAttributes(Object attrs)`
`Object` `renderNoSelectionOptionImpl(Object out, Object noSelectionKey, Object noSelectionValue, Object value)`
`void` `resolveAttributes(Object attrs)`
`void` `setActionSubmit(Object value)`
`void` `setActionSubmitImage(Object value)`
`void` `setCheckBox(Object value)`
`void` `setCurrencySelect(Object value)`
`void` `setDatePicker(Object value)`
`void` `setField(Object value)`
`void` `setForm(Object value)`
`void` `setGrailsApplication(Object value)`
`void` `setHiddenField(Object value)`
`void` `setLocaleSelect(Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setOut(Object value)`
`void` `setPasswordField(Object value)`
`void` `setProperty(String property, Object value)`
`void` `setRadio(Object value)`
`void` `setRadioGroup(Object value)`
`void` `setRenderNoSelectionOption(Object value)`
`void` `setSelect(Object value)`
`void` `setSubmitButton(Object value)`
`void` `setTextArea(Object value)`
`void` `setTextField(Object value)`
`void` `setTimeZoneSelect(Object value)`
`void` `setTypeConverter(Object value)`
`void` `setUploadForm(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormTagLib

    public FormTagLib()

Method Detail

### getOut

    public Object getOut()

### setOut

    public void setOut(Object value)

### getGrailsApplication

    public Object getGrailsApplication()

### setGrailsApplication

    public void setGrailsApplication(Object value)

### getTextField

    public Object getTextField()

### setTextField

    public void setTextField(Object value)

### getPasswordField

    public Object getPasswordField()

### setPasswordField

    public void setPasswordField(Object value)

### getHiddenField

    public Object getHiddenField()

### setHiddenField

    public void setHiddenField(Object value)

### getSubmitButton

    public Object getSubmitButton()

### setSubmitButton

    public void setSubmitButton(Object value)

### getField

    public Object getField()

### setField

    public void setField(Object value)

### getCheckBox

    public Object getCheckBox()

### setCheckBox

    public void setCheckBox(Object value)

### getTextArea

    public Object getTextArea()

### setTextArea

    public void setTextArea(Object value)

### getUploadForm

    public Object getUploadForm()

### setUploadForm

    public void setUploadForm(Object value)

### getForm

    public Object getForm()

### setForm

    public void setForm(Object value)

### getActionSubmit

    public Object getActionSubmit()

### setActionSubmit

    public void setActionSubmit(Object value)

### getActionSubmitImage

    public Object getActionSubmitImage()

### setActionSubmitImage

    public void setActionSubmitImage(Object value)

### getDatePicker

    public Object getDatePicker()

### setDatePicker

    public void setDatePicker(Object value)

### getRenderNoSelectionOption

    public Object getRenderNoSelectionOption()

### setRenderNoSelectionOption

    public void setRenderNoSelectionOption(Object value)

### getTimeZoneSelect

    public Object getTimeZoneSelect()

### setTimeZoneSelect

    public void setTimeZoneSelect(Object value)

### getLocaleSelect

    public Object getLocaleSelect()

### setLocaleSelect

    public void setLocaleSelect(Object value)

### getCurrencySelect

    public Object getCurrencySelect()

### setCurrencySelect

    public void setCurrencySelect(Object value)

### getSelect

    public Object getSelect()

### setSelect

    public void setSelect(Object value)

### getTypeConverter

    public Object getTypeConverter()

### setTypeConverter

    public void setTypeConverter(Object value)

### getRadio

    public Object getRadio()

### setRadio

    public void setRadio(Object value)

### getRadioGroup

    public Object getRadioGroup()

### setRadioGroup

    public void setRadioGroup(Object value)

### hiddenFieldImpl

    public Object hiddenFieldImpl(Object out,
                                  Object attrs)

### fieldImpl

    public Object fieldImpl(Object out,
                            Object attrs)

### resolveAttributes

    public void resolveAttributes(Object attrs)

### outputAttributes

    public void outputAttributes(Object attrs)

### renderNoSelectionOptionImpl

    public Object renderNoSelectionOptionImpl(Object out,
                                              Object noSelectionKey,
                                              Object noSelectionValue,
                                              Object value)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project